Index: extensions/GMaps/js/gmapsCategory.js
===================================================================
--- extensions/GMaps/js/gmapsCategory.js	(revision 7125)
+++ extensions/GMaps/js/gmapsCategory.js	(revision 7125)
@@ -0,0 +1,424 @@
+
+var currentMapLoad;
+
+/**
+ * create the map
+ *
+ * @param Object properties : map properties
+ * @param Integer gmapsIndex : index in the map list
+ */
+function createMap(properties, gmapsIndex)
+{
+  var map = new google.maps.Map($("#"+properties.id).get(0),
+    {
+      backgroundColor:'#ffffff',
+      mapTypeId: properties.mapType,
+      zoom: properties.zoomLevel,
+      center: gmaps.bounds.getCenter(),
+      navigationControl: (properties.navigationControl==-1)?false:true,
+      scrollwheel: (properties.navigationControl==-1)?false:true,
+      scaleControl: (properties.scaleControl=='n')?false:true,
+      mapTypeControl:(properties.mapTypeControl==-1)?false:true,
+      mapTypeControlOptions:
+        {
+          style:properties.mapTypeControl
+        },
+      markerTitle:'',
+    }
+  );
+
+  if(properties.kmlFileUrl!='')
+  {
+    kmlFile = new google.maps.KmlLayer(properties.kmlFileUrl,
+      {
+        preserveViewport:true
+      }
+    );
+  }
+  else
+  {
+    kmlFile=null;
+  }
+
+  map.kmlFile=kmlFile;
+  map.markers=new Array();
+  map.gmapsIndex=gmapsIndex;
+  properties.gMap=map;
+  properties.viewportInitialized=false;
+}
+
+/**
+ * load markers from the server
+ *
+ * @param Map map : the map
+ */
+function loadMarkers(map)
+{
+  datas={
+    requestId:gmaps.requestId,
+    bounds:{
+        north:map.getBounds().getNorthEast().lat(),
+        east:map.getBounds().getNorthEast().lng(),
+        south:map.getBounds().getSouthWest().lat(),
+        west:map.getBounds().getSouthWest().lng()
+      },
+    width:$(map.getDiv()).width(),
+    height:$(map.getDiv()).height(),
+    distanceTreshold:25
+  }
+
+  currentMapLoad=map;
+
+  $.ajax(
+    {
+      type: "POST",
+      url: "plugins/GMaps/gmaps_ajax.php",
+      async: true,
+      data: { ajaxfct:"public.maps.getMarkers", datas:datas },
+      success:
+        function(msg)
+        {
+          tmp=$.parseJSON(msg);
+          tmp.sort(compareMarkers);
+          applyMarkers(currentMapLoad, tmp);
+        }
+    }
+  );
+}
+
+/**
+ * apply markers to map
+ *
+ * @param Map map : the google map object
+ * @param Array markers : array of markers properties
+ *                        each marker is an object with properties :
+ *                          latitude, longitude, nbImages
+ */
+function applyMarkers(map, markers)
+{
+  if(currentMapLoad==null) return(false);
+
+  /*
+   * deleting markers from the map only if they are not in the new list
+   */
+  if(map.markers.length>0)
+  {
+    var i=0;
+    while(i<map.markers.length)
+    {
+      newListIndex=markerInList(map.markers[i].uniqueId, markers);
+      if(newListIndex==-1)
+      {
+        map.markers[i].marker.setMap(null);
+        map.markers.splice(i, 1);
+      }
+      else
+      {
+        markers.splice(newListIndex,1);
+        i++;
+      }
+    }
+  }
+
+  /*
+   * add new markers on the map
+   */
+  for(var i=0;i<markers.length;i++)
+  {
+    var marker = new google.maps.Marker(
+      {
+        position:new google.maps.LatLng(markers[i].latitude, markers[i].longitude),
+        map: currentMapLoad,
+        title:markers[i].nbImagesTxt
+      }
+    );
+
+    marker.info=markers[i];
+    marker.info.displayed=0;
+
+    map.markers.push(
+      {
+        marker:marker,
+        uniqueId:markers[i].uniqueId
+      }
+    );
+
+    google.maps.event.addListener(
+      marker,
+      'click',
+      function ()
+      {
+        displayWindowInfo(this);
+      }
+    );
+  }
+  currentMapLoad=null;
+}
+
+function compareMarkers(m1,m2)
+{
+  if(m1.uniqueId<m2.uniqueId)
+  {
+    return(-1);
+  }
+  else if(m1.uniqueId<m2.uniqueId)
+  {
+    return(1);
+  }
+  return(0);
+}
+
+function markerInList(uniqueId, markerList)
+{
+  for(var i=0;i<markerList.length;i++)
+  {
+    if(markerList[i].uniqueId==uniqueId) return(i)
+  }
+  return(-1);
+}
+
+/**
+ * display the infowindow
+ *
+ * @param Marker marker : the marker
+ */
+function displayWindowInfo(marker)
+{
+  gmaps.currentInfo=marker.info;
+  gmaps.infoWindow.close();
+  gmaps.infoWindow.setContent($('#iGMapsInfoWindowContent').clone().each(renameId).get(0));
+  gmaps.infoWindow.open(marker.map, marker);
+  displayPictureInfo(gmaps.currentInfo.displayed);
+}
+function renameId(i, e)
+{
+  if(e.id!='') e.id='c'+e.id;
+  $(e).children().each(renameId);
+}
+
+
+/**
+ *
+ */
+function displayPictureInfo(index)
+{
+  gmaps.currentInfo.displayed=index;
+  if(gmaps.currentInfo.imagesName[index]=='')
+  {
+    $('#ciGMIWC_title').html('&nbsp;');
+  }
+  else
+  {
+    $('#ciGMIWC_title').html(gmaps.currentInfo.imagesName[index]);
+  }
+  $('#ciGMIWC_img').attr('src', gmaps.currentInfo.imagesTnFile[index]);
+
+  $('#ciGMIWC_img').unbind();
+  if(gmaps.currentInfo.imagesCatsUrl[index].length==1)
+  {
+    $('#ciGMIWC_img').bind('click',
+      function ()
+      {
+        window.location=gmaps.currentInfo.imagesCatsUrl[gmaps.currentInfo.displayed][0];
+      }
+    );
+  }
+  else
+  {
+    $('#ciGMIWC_showcatList').html('');
+    for(var i=0;i<gmaps.currentInfo.imagesCatsUrl[index].length;i++)
+    {
+      $('#ciGMIWC_showcatList')
+        .append('<li><a href="'+gmaps.currentInfo.imagesCatsUrl[index][i]+'">'+gmaps.currentInfo.imagesCatsNames[index][i]+'</a></li>');
+    }
+    $('#ciGMIWC_img, #ciGMIWC_showcat')
+      .bind('mouseenter', function () { $('#ciGMIWC_showcat').css('display', 'block'); } )
+      .bind('mouseleave', function () { $('#ciGMIWC_showcat').css('display', 'none'); } );
+  }
+
+  if(gmaps.currentInfo.nbImages>1)
+  {
+    $('#ciGMIWC_picnum').html((index+1)+'/'+gmaps.currentInfo.nbImagesTxt);
+    $('#ciWALeft, #ciWARight').css('display', 'inline-block');
+  }
+  else
+  {
+    $('#ciGMIWC_picnum').html(gmaps.currentInfo.nbImagesTxt);
+    $('#ciWALeft, #ciWARight').css('display', 'none');
+  }
+}
+
+/**
+ *
+ */
+function displayPicturePrev()
+{
+  gmaps.currentInfo.displayed--;
+  if(gmaps.currentInfo.displayed<0) gmaps.currentInfo.displayed=gmaps.currentInfo.nbImages-1;
+  displayPictureInfo(gmaps.currentInfo.displayed);
+}
+
+/**
+ *
+ */
+function displayPictureNext()
+{
+  gmaps.currentInfo.displayed++;
+  if(gmaps.currentInfo.displayed>=gmaps.currentInfo.nbImages) gmaps.currentInfo.displayed=0;
+  displayPictureInfo(gmaps.currentInfo.displayed);
+}
+
+
+$(window).load(function ()
+  {
+    // all maps have the same intials bounds
+    gmaps.currentInfo=null;
+
+    gmaps.bounds = new google.maps.LatLngBounds(
+      new google.maps.LatLng(gmaps.bounds.south, gmaps.bounds.west),
+      new google.maps.LatLng(gmaps.bounds.north, gmaps.bounds.east)
+    );
+
+    gmaps.infoWindow = new google.maps.InfoWindow();
+    google.maps.event.addListener(
+     gmaps.infoWindow,
+     'closeclick',
+     function () {
+       $('body').append($('#iGMapsInfoWindowContent'));
+       gmaps.infoWindow.setContent('');
+       $('#ciGMIWC_img').unbind();
+     }
+    );
+
+
+    for(var i=0;i<gmaps.maps.length;i++)
+    {
+      // prepare google map maps
+      createMap(gmaps.maps[i], i);
+
+      // if size map depends from windows size, apply new dimensions to map
+      if(gmaps.maps[i].sizeMode=='A')
+      {
+        $('#'+gmaps.maps[i].id).css(
+          {
+            width: ($(window).width()*0.8)+'px',
+            height:($(window).height()*0.8)+'px'
+          }
+        );
+      }
+
+      // initialize dialog box for maps
+      $('#'+gmaps.maps[i].id+'Content').dialog(
+        {
+          autoOpen:false,
+          width:'auto',
+          height:'auto',
+          modal: true,
+          closeText:'X',
+          dialogClass: 'gmapsPopup',
+          title: gmaps.maps[i].title,
+          open: function ()
+            {
+              gmaps.currentMapLoadIndex=$(this).data('index');
+
+              /*
+               * initialize map on the server side (call the 'public.maps.init'
+               * function
+               */
+              $.ajax(
+                {
+                  type: "POST",
+                  url: "plugins/GMaps/gmaps_ajax.php",
+                  async: true,
+                  data: { ajaxfct:"public.maps.init", category:gmaps.categoryId },
+                  success:
+                    function(msg)
+                    {
+                      gmaps.requestId=msg;
+
+                      if(gmaps.maps[gmaps.currentMapLoadIndex].viewportInitialized==false)
+                      {
+                        /*
+                         * if the container is not visible when map are built, they are
+                         * not initialized correctly
+                         *
+                         * when dialog is opened for the first time, proceed to map
+                         * finalization :
+                         *  - resize
+                         *  - center the map
+                         *  - add handlers on events 'dragend' and 'zoom_change'
+                         *    allowing to reload markers according to the new viewport
+                         */
+                        google.maps.event.trigger(gmaps.maps[gmaps.currentMapLoadIndex].gMap, 'resize');
+
+
+                        if(gmaps.maps[gmaps.currentMapLoadIndex].fitToBounds)
+                        {
+                          gmaps.maps[gmaps.currentMapLoadIndex].gMap.fitBounds(gmaps.bounds);
+                        }
+                        else
+                        {
+                          gmaps.maps[gmaps.currentMapLoadIndex].gMap.setCenter(gmaps.bounds.getCenter());
+                        }
+
+                        // reduce copyright size... ^_^
+                        $('#'+gmaps.maps[gmaps.currentMapLoadIndex].id+' span, #'+gmaps.maps[gmaps.currentMapLoadIndex].id+' a').css('font-size', '55.0%');
+
+                        if(gmaps.maps[gmaps.currentMapLoadIndex].gMap.kmlFile!=null)
+                          gmaps.maps[gmaps.currentMapLoadIndex].gMap.kmlFile.setMap(gmaps.maps[gmaps.currentMapLoadIndex].gMap);
+
+                        google.maps.event.addListener(
+                          gmaps.maps[gmaps.currentMapLoadIndex].gMap,
+                          'dragend',
+                          function()
+                          {
+                            loadMarkers(this);
+                            $('#gmapsBoundMap').css('display', 'inline');
+                            $('#gmapsBoundKml').css('display', 'inline');
+                          }
+                        );
+
+                        google.maps.event.addListener(
+                          gmaps.maps[gmaps.currentMapLoadIndex].gMap,
+                          'zoom_changed',
+                          function()
+                          {
+                            loadMarkers(this);
+                            gmaps.infoWindow.close();
+                            $('#gmapsBoundMap').css('display', 'inline');
+                            $('#gmapsBoundKml').css('display', 'inline');
+                          }
+                        );
+
+                        // loads the markers
+                        loadMarkers(gmaps.maps[gmaps.currentMapLoadIndex].gMap);
+                        gmaps.maps[gmaps.currentMapLoadIndex].viewportInitialized=true;
+                      }
+
+                    }
+                }
+              );
+            }
+        }
+      ).data('index', i);
+
+      $('div.gmapsPopup div.ui-dialog-titlebar')
+      .append('<a href="" id="gmapsBoundMap" style="display:none;" onclick="gmaps.maps[gmaps.currentMapLoadIndex].gMap.fitBounds(gmaps.bounds); $(this).css(\'display\', \'none\').blur(); return(false);">'+
+              '<span>&there4;</span></a>');
+      $('#gmapsBoundMap').attr('title', gmaps.lang.boundmap);
+
+      if(gmaps.maps[i].gMap.kmlFile!=null)
+      {
+        $('div.gmapsPopup div.ui-dialog-titlebar')
+          .append('<a href="" id="gmapsBoundKml" onclick="gmaps.maps[gmaps.currentMapLoadIndex].gMap.fitBounds(gmaps.maps[gmaps.currentMapLoadIndex].gMap.kmlFile.getDefaultViewport()); $(this).css(\'display\', \'none\').blur(); return(false);">'+
+                  '<span>&sim;</span></a>');
+        $('#gmapsBoundKml').attr('title', gmaps.lang.boundkml);
+      }
+
+
+    }
+
+  }
+);
+
+
Index: extensions/GMaps/js/gmapsPicture.js
===================================================================
--- extensions/GMaps/js/gmapsPicture.js	(revision 7125)
+++ extensions/GMaps/js/gmapsPicture.js	(revision 7125)
@@ -0,0 +1,191 @@
+
+var viewportInitialized = {
+  icon:false,
+  meta:false
+};
+
+function applyMap(properties)
+{
+  var latlng=new google.maps.LatLng(gmaps.coords.latitude, gmaps.coords.longitude);
+
+  var map = new google.maps.Map($("#"+properties.id).get(0),
+    {
+      mapTypeId: properties.mapType,
+      zoom: properties.zoomLevel,
+      center:latlng,
+      navigationControl: (properties.navigationControl==-1)?false:true,
+      scrollwheel: (properties.navigationControl==-1)?false:true,
+      scaleControl: (properties.scaleControl=='n')?false:true,
+      mapTypeControl:(properties.mapTypeControl==-1)?false:true,
+      mapTypeControlOptions:
+        {
+          style:properties.mapTypeControl
+        },
+      markerTitle:'',
+    }
+  );
+
+  if(properties.marker)
+  {
+    var marker = new google.maps.Marker(
+      {
+        position:latlng,
+        map: map,
+        title:properties.markerTitle
+      }
+    );
+  }
+
+  if(properties.kmlFileUrl!='')
+  {
+    kmlFile = new google.maps.KmlLayer(properties.kmlFileUrl,
+      {
+        preserveViewport:true
+      }
+    );
+  }
+  else
+  {
+    kmlFile=null;
+  }
+
+  map.kmlFile=kmlFile;
+
+
+  properties.gMap=map;
+  properties.gMapCenter=latlng;
+}
+
+$(window).load(function ()
+  {
+    gmaps.currentMapLoadIndex=-1;
+
+    for(i=0;i<gmaps.maps.length;i++)
+    {
+      applyMap(gmaps.maps[i]);
+      gmaps.maps[i].gMap.setCenter(gmaps.maps[i].gMapCenter);
+      $('#'+gmaps.maps[i].id+' span, #'+gmaps.maps[i].id+' a').css('font-size', '55.0%');
+
+      if(gmaps.maps[i].gMap.kmlFile!=null)
+        gmaps.maps[i].gMap.kmlFile.setMap(gmaps.maps[i].gMap);
+
+      if(gmaps.maps[i].displayType=='IP')
+      {
+        gmaps.currentMapLoadIndex=i;
+        if(gmaps.maps[i].sizeMode=='A')
+        {
+          $('#iGMapsIcon').css(
+            {
+              width: ($(window).width()*0.8)+'px',
+              height:($(window).height()*0.8)+'px'
+            }
+          );
+        }
+      }
+    }
+
+    /*
+     * this trick is needed for the gally template, because the map initialisation
+     *  don't works if the container is not visible
+     *
+     * for the classic default template, this code is ignored
+     *
+     * >>>
+     */
+    if($('#iGMapContent').length>0)
+    {
+      tabId=$('#iGMapContent').get(0).parentNode.parentNode.id;
+      tabId='tab'+tabId.toUpperCase().substring(0,1)+tabId.substr(1);
+      $("#"+tabId+" a").bind('click', function ()
+       {
+          if(viewportInitialized.meta==false)
+          {
+            for(i=0;i<gmaps.maps.length;i++)
+            {
+              if(gmaps.maps[i].displayType=='MP')
+              {
+                google.maps.event.trigger(gmaps.maps[i].gMap, 'resize');
+                gmaps.maps[i].gMap.setCenter(gmaps.maps[1].gMapCenter);
+                $('#'+gmaps.maps[i].id+' span, #'+gmaps.maps[i].id+' a').css('font-size', '55.0%');
+              }
+            }
+            viewportInitialized.meta=true;
+          }
+       }
+      );
+    }
+    /*
+     * <<<
+     */
+
+
+    /*
+     * manage the popup map
+     */
+    if($('#iGMapsIconContent').length>0)
+    {
+      $('#iGMapsIconContent').dialog(
+        {
+          autoOpen:false,
+          width:'auto',
+          height:'auto',
+          modal: true,
+          closeText:'X',
+          dialogClass: 'gmapsPopup',
+          title: gmaps.maps[gmaps.currentMapLoadIndex].title,
+          open: function ()
+            {
+              if(viewportInitialized.icon==false && gmaps.currentMapLoadIndex!=-1)
+              {
+                google.maps.event.trigger(gmaps.maps[gmaps.currentMapLoadIndex].gMap, 'resize');
+                gmaps.maps[gmaps.currentMapLoadIndex].gMap.setCenter(gmaps.maps[gmaps.currentMapLoadIndex].gMapCenter);
+                $('#iGMapsIcon span, #iGMapsIcon a').css('font-size', '55.0%');
+                if(gmaps.maps[gmaps.currentMapLoadIndex].gMap.kmlFile!=null)
+                  gmaps.maps[gmaps.currentMapLoadIndex].gMap.kmlFile.setMap(gmaps.maps[gmaps.currentMapLoadIndex].gMap);
+                viewportInitialized.icon=true;
+              }
+
+              google.maps.event.addListener(
+                gmaps.maps[gmaps.currentMapLoadIndex].gMap,
+                'dragend',
+                function()
+                {
+                  $('#gmapsCenterMap').css('display', 'inline');
+                  $('#gmapsBoundKml').css('display', 'inline');
+                }
+              );
+
+              google.maps.event.addListener(
+                gmaps.maps[gmaps.currentMapLoadIndex].gMap,
+                'zoom_changed',
+                function()
+                {
+                  $('#gmapsCenterMap').css('display', 'inline');
+                  $('#gmapsBoundKml').css('display', 'inline');
+                }
+              );
+            }
+        }
+      );
+
+      $('div.gmapsPopup div.ui-dialog-titlebar')
+      .append('<a href="" id="gmapsCenterMap" style="display:none;" onclick="gmaps.maps[gmaps.currentMapLoadIndex].gMap.setCenter(gmaps.maps[gmaps.currentMapLoadIndex].gMapCenter); $(this).css(\'display\', \'none\').blur(); return(false);">'+
+              '<span>&bull;</span></a>');
+      $('#gmapsCenterMap').attr('title', gmaps.lang.centermap);
+
+      if(gmaps.maps[gmaps.currentMapLoadIndex].gMap.kmlFile!=null)
+      {
+        $('div.gmapsPopup div.ui-dialog-titlebar')
+          .append('<a href="" id="gmapsBoundKml" onclick="gmaps.maps[gmaps.currentMapLoadIndex].gMap.fitBounds(gmaps.maps[gmaps.currentMapLoadIndex].gMap.kmlFile.getDefaultViewport()); $(this).css(\'display\', \'none\').blur(); return(false);">'+
+                  '<span>&sim;</span></a>');
+        $('#gmapsBoundKml').attr('title', gmaps.lang.boundkml);
+      }
+
+
+    }
+
+
+  }
+);
+
+
Index: extensions/GMaps/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/GMaps/language/fr_FR/plugin.lang.php	(revision 7054)
+++ extensions/GMaps/language/fr_FR/plugin.lang.php	(revision 7125)
@@ -1,3 +1,9 @@
 <?php
+
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before']="Pour installer ce plugin, vous devez au préalable installer le plugin Grum Plugin Classes %s";
+$lang['To install this plugin, you need to install Advanced Metadata %s before']="Pour installer ce plugin, vous devez au préalable installer le plugin Advanced Metadata %s";
+$lang['gmaps_amd_warning_inactive']="Attention ! <br><br>Le plugin Advanced Metadata %s ne semble pas être installé/activé : les cartes ne pourront être affichées tant qu'il ne sera pas activé.";
+$lang['gmaps_amd_warning_basic']="Attention ! <br><br>Le plugin Advanced Metadata fonctionne en mode 'basique' : les cartes associées aux catégories ne pourront pas être affichées.";
+$lang['gmaps_warning']='Avertissement';
 
 $lang['gmaps_release']='v';
@@ -5,9 +11,14 @@
 $lang['gmaps_geolocation'] = 'Géolocalisation';
 $lang['gmaps_maps'] = 'Cartes';
+$lang['gmaps_map'] = 'Carte';
 $lang['gmaps_associate_category_maps'] = 'Association des cartes';
+$lang['gmaps_search'] = 'Rechercher';
+$lang['gmaps_kml_files_management'] = 'Gestion des fichiers KML';
 $lang['gmaps_help'] = 'Aide';
 
 $lang['gmaps_maps_management']='Gestion des cartes';
 
+$lang['gmaps_y'] = "Oui";
+$lang['gmaps_n'] = "Non";
 $lang['gmaps_ok'] = "Ok";
 $lang['gmaps_cancel'] = "Annuler";
@@ -16,13 +27,11 @@
 $lang['gmaps_loading'] = "Chargement...";
 
-$lang['gmaps_config_map']="Paramétrage d\'une carte";
+$lang['gmaps_config_map']="Paramétrage d\\'une carte";
 $lang['gmaps_pleaseConfirmMetadataDelete_1']="La carte ainsi que toutes les associations qui en dépendent seront supprimées.";
 $lang['gmaps_pleaseConfirmMetadataDelete_2']="Merci de confirmer la suppression.";
+$lang['gmaps_pleaseConfirmAssoc']="Merci de confirmer la suppression.";
 $lang['gmaps_deleteMap']="Suppression de la carte";
-$lang['gmaps_invalidId']="Identifiant invalide !";
-$lang['gmaps_mapIdAlreadyExist']="Une carte avec cet identifiant existe déjà !";
 $lang['gmaps_add_a_new_map']="Ajouter une carte";
 
-$lang['gmaps_id']="Identifiant de la carte";
 $lang['gmaps_name']="Nom";
 $lang['gmaps_dimensions']="Dimensions";
@@ -31,7 +40,19 @@
 $lang['gmaps_width']="Largeur";
 $lang['gmaps_height']="Hauteur";
+$lang['gmaps_auto']="Automatique";
+$lang['gmaps_displayType']="Méthode d'affichage";
 
-$lang['gmaps_fullScreen']="Plein écran";
-$lang['gmaps_zoomAuto']="Automatique";
+$lang['gmaps_displayTypeShortIC']="Catégorie (lightbox)";
+$lang['gmaps_displayTypeShortIP']="Photo (lightbox)";
+$lang['gmaps_displayTypeShortMP']="Photo (métadonnée)";
+$lang['gmaps_displayTypeIC']="A afficher sur la page d'une catégorie (lightbox)";
+$lang['gmaps_displayTypeIP']="A afficher sur la page d'une photo (lightbox)";
+$lang['gmaps_displayTypeMP']="A afficher sur la page d'une photo (en tant que métadonnée)";
+
+$lang['gmaps_map_dimensions_are']="Les dimensions de la carte sont :";
+$lang['gmaps_interface_dimensions_f']="Fixées";
+$lang['gmaps_interface_dimensions_a']="Adaptées à la taille de la fenêtre";
+
+
 $lang['gmaps_googleMapType_hybrid']="Mixte";
 $lang['gmaps_googleMapType_terrain']="Relief";
@@ -65,8 +86,38 @@
 $lang['gmaps_googleMapControlPos_BR']="En bas à droite";
 
-
 $lang['gmaps_properties_general']="Propriétés";
 $lang['gmaps_properties_mapType']="Gestion de l'affichage";
 $lang['gmaps_properties_zoomLevel']="Gestion du zoom";
 
+$lang['gmaps_add_a_new_association']="Ajouter une nouvelle association";
+$lang['gmaps_category']="Catégorie";
+$lang['gmaps_picture']="Photo";
+$lang['gmaps_nb_pictures']="%s photos";
+$lang['gmaps_1_picture']="1 photo";
+$lang['gmaps_apply_subcat']="Appliquer aux sous-catégories";
+$lang['gmaps_map_id']="Carte";
+$lang['gmaps_map_kmlfile']="Présence fichier KML";
+$lang['gmaps_map_icon']="Icone";
+$lang['gmaps_map_kmlfile']="Associer un fichier KML";
+$lang['gmaps_map_associate_kmlfile']="Associer un fichier KML (saisir l'URL)";
+
+$lang['gmaps_map_integration']="Intégration dans la galerie";
+$lang['gmaps_map_assoc']="Caractéristiques";
+
+$lang['gmaps_manage_assoc']="Gestion d\\'une association";
+$lang['gmaps_deleteAssoc']="Suppression d\\'une association";
+
+
+$lang['gmaps_applyForAllTheGallery']="Toute la galerie";
+$lang['gmaps_only_one_map_is_allowed_for_this_mode']="Un paramétrage existe déjà pour cette association";
+$lang['gmaps_view_map']="Localiser la photo sur une carte";
+$lang['gmaps_map_title']="Titre";
+
+
+
+$lang['gmaps_i_boundmap']="Adapter la taille de la carte pour voir tous les éléments";
+$lang['gmaps_i_boundkml']="Adapter la taille de la carte pour voir l\\'intégralité du tracé";
+$lang['gmaps_i_centermap']="Centrer la carte";
+$lang['gmaps_i_show_this_picture_in']="Voir cette photo dans la catégorie :";
+
 ?>
Index: extensions/GMaps/maintain.inc.php
===================================================================
--- extensions/GMaps/maintain.inc.php	(revision 7054)
+++ extensions/GMaps/maintain.inc.php	(revision 7125)
@@ -40,8 +40,16 @@
 }
 
-function gpcMsgError(&$errors)
+function gpcMsgError(&$errors, $errorMessage)
 {
-  global $gpcNeeded;
-  $msg=sprintf(l10n('To install this plugin, you need to install Grum Plugin Classes %s before'), GMAPS_GPC_NEEDED);
+  switch($errorMessage)
+  {
+    case 'gpc':
+      $msg=sprintf(l10n('To install this plugin, you need to install Grum Plugin Classes %s before'), GMAPS_GPC_NEEDED);
+      break;
+    case 'amd':
+      $msg=sprintf(l10n('To install this plugin, you need to install Advanced Metadata %s before'), GMAPS_AMD_NEEDED);
+      break;
+  }
+
   if(is_array($errors))
   {
@@ -64,13 +72,17 @@
 {
   global $prefixeTable, $gpcInstalled;
-  if($gpcInstalled)
+  if(!$gpcInstalled)
   {
-    $gmaps=new GMaps_Install($prefixeTable, __FILE__);
-    $result=$gmaps->install();
+    gpcMsgError($errors, 'gpc');
+    return(false);
   }
-  else
+  if(GMaps_root::checkAMDActivated()=='none')
   {
-    gpcMsgError($errors);
+    amdMsgError($errors, 'amd');
+    return(false);
   }
+
+  $gmaps=new GMaps_Install($prefixeTable, __FILE__);
+  $result=$gmaps->install();
 }
 
@@ -107,5 +119,5 @@
   else
   {
-    gpcMsgError($errors);
+    gpcMsgError($errors, 'gpc');
   }
 }
